package org.gcube.gcat.api;

/**
 * @author Luca Frosini (ISTI - CNR)
 */
public class GCatConstants {
	
	public static final String SERVICE_CLASS = "data-catalogue";
	public static final String SERVICE_NAME = "gcat";

	public static final String SERVICE_ENTRY_NAME = "org.gcube.gcat.ResourceInitializer";
	public static final String PURGE_QUERY_PARAMETER = "purge";
	public static final String APPLICATION_JSON_CHARSET_UTF_8 = "application/json;charset=UTF-8";
	public static final String LIMIT_PARAMETER = "limit";
	public static final String OFFSET_PARAMETER = "offset";
	public static final String COUNT_PARAMETER = "count";
	
	public static final String COUNT_KEY = "count";
	
	public static final String ORGANIZATION_PARAMETER = "organization";
	public static final String Q_KEY = "q";
	
	public static final String SOCIAL_POST_QUERY_PARAMETER = "social_post";
	

	public static final String ORGANIZATION_FILTER_TEMPLATE = ORGANIZATION_PARAMETER + ":%s";
	
	public static final String CATALOGUE_MEMBER = "Catalogue-Member";
	public static final String CATALOGUE_EDITOR = "Catalogue-Editor";
	public static final String CATALOGUE_ADMIN = "Catalogue-Admin";
	public static final String CATALOGUE_MODERATOR = "Catalogue-Moderator";
	
	/* Content Moderation fields */
	public static final String CM_ITEM_STATUS_QUERY_PARAMETER = "cm_item_status";
	public static final String SYSTEM_CM_ITEM_STATUS = "system:cm_item_status";
	public static final String SYSTEM_CM_ITEM_VISIBILITY = "system:cm_item_visibility";
	
}
